aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-07-25 13:19:54 -0700
committerJunio C Hamano <junkio@cox.net>2006-07-25 13:19:54 -0700
commit09f5dc406a9e6630af881108af815f6c3fb6d9df (patch)
treebcb5d78479fb065c4b1c692a6b4d6e5d3ed30409
parente79992abdb42f8c9e517c60d7e023894a83764a1 (diff)
parent57a39690b936c003662b6710241732b980e58790 (diff)
downloadgit-09f5dc406a9e6630af881108af815f6c3fb6d9df.tar.gz
git-09f5dc406a9e6630af881108af815f6c3fb6d9df.tar.xz
Merge branch 'jc/clone-bind-failure'
* jc/clone-bind-failure: fetch/clone: check return status from ls-remote
-rwxr-xr-xgit-clone.sh4
-rwxr-xr-xgit-fetch.sh11
2 files changed, 11 insertions, 4 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 036880388..a92b22a13 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -266,7 +266,7 @@ yes,yes)
echo "$repo/objects" >> "$GIT_DIR/objects/info/alternates"
;;
esac
- git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD"
+ git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD" || exit 1
;;
*)
case "$repo" in
@@ -296,7 +296,7 @@ yes,yes)
done
rm -f "$GIT_DIR/TMP_ALT"
fi
- git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD"
+ git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD" || exit 1
;;
http://*)
if test -z "@@NO_CURL@@"
diff --git a/git-fetch.sh b/git-fetch.sh
index f7167abdf..c2eebee79 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -225,9 +225,16 @@ reflist=$(get_remote_refs_for_fetch "$@")
if test "$tags"
then
taglist=`IFS=" " &&
- git-ls-remote $upload_pack --tags "$remote" |
+ (
+ git-ls-remote $upload_pack --tags "$remote" ||
+ echo fail ouch
+ ) |
while read sha1 name
do
+ case "$sha1" in
+ fail)
+ exit 1
+ esac
case "$name" in
*^*) continue ;;
esac
@@ -237,7 +244,7 @@ then
else
echo >&2 "warning: tag ${name} ignored"
fi
- done`
+ done` || exit
if test "$#" -gt 1
then
# remote URL plus explicit refspecs; we need to merge them.